## visad.java3d
Class TwoDDisplayRendererJ3D

    java.lang.Object
      visad.DisplayRenderer
          visad.java3d.DisplayRendererJ3D
              visad.java3d.TwoDDisplayRendererJ3D

All Implemented Interfaces:
  ControlListener, EventListener, RendererSourceListener

public class TwoDDisplayRendererJ3D
extends DisplayRendererJ3D

`TwoDDisplayRendererJ3D` is the VisAD class for 2-D background and metadata rendering under Java3D.

Field Summary

Fields inherited from class visad.DisplayRenderer
``

Constructor Summary
`TwoDDisplayRendererJ3D()` This `DisplayRenderer` supports 2-D only rendering.
`TwoDDisplayRendererJ3D(Class mbj3dClass)`

Method Summary
`javax.media.j3d.BranchGroup` `createSceneGraph(javax.media.j3d.View v, javax.media.j3d.TransformGroup vpt, VisADCanvasJ3D c)` Create scene graph root, if none exists, with Transform and direct manipulation root; create 3-D box, lights and MouseBehaviorJ3D for embedded user interface.
`void` `destroy()`
`boolean` `getMode2D()` Return `true` if this is a 2-D `DisplayRenderer`.
`boolean` `legalDisplayScalar(DisplayRealType type)` Return `true` if `type` is legal for this `DisplayRenderer`; for example, 2-D `DisplayRenderer`s use this to disallow mappings to ZAxis and Latitude.
`void` `setBoxAspect(double[] aspect)` set the aspect for the containing box aspect double[3] array used to scale x, y and z box sizes
`void` `setLineWidth(float width)`

Methods inherited from class visad.java3d.DisplayRendererJ3D

`addDirectManipulationSceneGraphComponent, addKeyboardBehavior, addLockedSceneGraphComponent, addSceneGraphComponent, anyDirects, clearScale, clearScales, clearScene, controlChanged, createBasicSceneGraph, createBasicSceneGraph, depth_cursor, drag_cursor, drag_depth, drawCursorStringVector, findDirect, getBoxOnBranch, getCanvas, getCursor, getCursorOnBranch, getImage, getMouseBehavior, getRoot, getTextureHeightMax, getTextureWidthMax, getTrans, getView, getViewTrans, initControl, legalDataRenderer, makeControl, makeDefaultRenderer, notifyCapture, render_trigger, rendererDeleted, setClip, setCursorLoc, setCursorOn, setDirectOn, setDisplay, setScale, setScale, setScale, setScaleOn, setTransform3D, setWaitFlag`

Methods inherited from class visad.DisplayRenderer

`getAnimationString, getAnimationStringVisible, getBoxOn, getCursorColor, getCursorStringVector, getCursorStringVectorUnconditional, getDirectAxisValue, getDirectAxisValue, getDisplay, getPickThreshhold, getRendererControl, getWaitFlag, getWaitMessageVisible, prepareAction, setAnimationString, setAnimationStringVisible, setBackgroundColor, setBackgroundColor, setBoxColor, setBoxColor, setBoxOn, setCursorColor, setCursorColor, setCursorStringOn, setCursorStringVector, setCursorStringVector, setForegroundColor, setForegroundColor, setPickThreshhold, setWaitMessageVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TwoDDisplayRendererJ3D

    public TwoDDisplayRendererJ3D()

  This `DisplayRenderer` supports 2-D only rendering. It is easiest to describe in terms of differences from `DefaultDisplayRendererJ3D`. The cursor and box around the scene are 2-D, the scene cannot be rotated, the cursor cannot be translated in and out, and the scene can be translated sideways with the left mouse button with or without pressing the Ctrl key.

  No RealType may be mapped to ZAxis or Latitude.

### TwoDDisplayRendererJ3D

    public TwoDDisplayRendererJ3D(Class mbj3dClass)

Method Detail

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `DisplayRendererJ3D`

### getMode2D

    public boolean getMode2D()

  Description copied from class: `DisplayRenderer`
  Return `true` if this is a 2-D `DisplayRenderer`.

  Overrides:
    `getMode2D` in class `DisplayRenderer`
  Returns:
    `true` if this is a 2-D renderer.

### legalDisplayScalar

    public boolean legalDisplayScalar(DisplayRealType type)

  Description copied from class: `DisplayRenderer`
  Return `true` if `type` is legal for this `DisplayRenderer`; for example, 2-D `DisplayRenderer`s use this to disallow mappings to ZAxis and Latitude.

  Overrides:
    `legalDisplayScalar` in class `DisplayRenderer`
  Parameters:
    `type` - The mapping type to check.
  Returns:
    `true` if `type` is legal.

### createSceneGraph

    public javax.media.j3d.BranchGroup createSceneGraph(javax.media.j3d.View v,
                                                        javax.media.j3d.TransformGroup vpt,
                                                        VisADCanvasJ3D c)

  Create scene graph root, if none exists, with Transform and direct manipulation root; create 3-D box, lights and MouseBehaviorJ3D for embedded user interface.

  Specified by:
    `createSceneGraph` in class `DisplayRendererJ3D`
  Parameters:
    `v` -
    `vpt` -
    `c` -
  Returns:
    Scene graph root.

### setBoxAspect

    public void setBoxAspect(double[] aspect)

  Description copied from class: `DisplayRenderer`
  set the aspect for the containing box aspect double[3] array used to scale x, y and z box sizes

  Specified by:
    `setBoxAspect` in class `DisplayRenderer`

### setLineWidth

    public void setLineWidth(float width)

  Overrides:
    `setLineWidth` in class `DisplayRendererJ3D`